Bug 20954 - Add ability to set syspref overrides in SIP as we can in Apache
Summary: Add ability to set syspref overrides in SIP as we can in Apache
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-15 13:02 UTC by Kyle M Hall
Modified: 2019-11-27 11:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache (3.00 KB, patch)
2018-06-15 13:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache (3.17 KB, patch)
2018-06-15 18:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache (3.20 KB, patch)
2019-03-20 19:02 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 20954: (QA Follow-up) Rename syspref-overrides to syspref_overrides to maintain existing convention (2.34 KB, patch)
2019-03-25 12:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache (3.29 KB, patch)
2019-08-09 06:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20954: (QA follow-up) Rename syspref-overrides to syspref_overrides to maintain existing convention (2.42 KB, patch)
2019-08-09 06:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-06-15 13:02:55 UTC
We should be able to set system preference overrides for SIP in a similar manner that we do in Apache. It would be great if we could specify those overrides on both a config level, and login level basis.
Comment 1 Kyle M Hall 2018-06-15 13:12:46 UTC
Created attachment 76098 [details] [review]
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache

We should be able to set system preference overrides for SIP in a
similar manner that we do in Apache. It would be great if we could
specify those overrides on both a config level, and login level basis.

Test Plan:
 1) Apply this patch
 2) Start your SIP server
 3) Enable the syspref AllFinesNeedOverride
 4) Find or create a patron with a small fine ( less than noissuescharge )
 5) Attempt to check out an item to the patron, it should fail
 6) Add the global syspref override from the bottom of the example SIP config file
 7) Restart your SIP server
 8) Attempt to check out an item to the patron again, this time it should work
 9) Now, add the login level syspref override section as it appears in
    the eaxmple SIP config file. Make sure to add it to the login you are using
10) Attempt to check out another item to the patron, this time is should
    again fail
Comment 2 Kyle M Hall 2018-06-15 18:26:43 UTC
Created attachment 76103 [details] [review]
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache

We should be able to set system preference overrides for SIP in a
similar manner that we do in Apache. It would be great if we could
specify those overrides on both a config level, and login level basis.

Test Plan:
 1) Apply this patch
 2) Start your SIP server
 3) Enable the syspref AllFinesNeedOverride
 4) Find or create a patron with a small fine ( less than noissuescharge )
 5) Attempt to check out an item to the patron, it should fail
 6) Add the global syspref override from the bottom of the example SIP config file
 7) Restart your SIP server
 8) Attempt to check out an item to the patron again, this time it should work
 9) Now, add the login level syspref override section as it appears in
    the eaxmple SIP config file. Make sure to add it to the login you are using
10) Attempt to check out another item to the patron, this time is should
    again fail
Comment 3 Liz Rea 2019-03-20 19:02:12 UTC
Created attachment 86832 [details] [review]
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache

We should be able to set system preference overrides for SIP in a
similar manner that we do in Apache. It would be great if we could
specify those overrides on both a config level, and login level basis.

Test Plan:
 1) Apply this patch
 2) Start your SIP server
 3) Enable the syspref AllFinesNeedOverride
 4) Find or create a patron with a small fine ( less than noissuescharge )
 5) Attempt to check out an item to the patron, it should fail
 6) Add the global syspref override from the bottom of the example SIP config file
 7) Restart your SIP server
 8) Attempt to check out an item to the patron again, this time it should work
 9) Now, add the login level syspref override section as it appears in
    the eaxmple SIP config file. Make sure to add it to the login you are using
10) Attempt to check out another item to the patron, this time is should
    again fail

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Kyle M Hall 2019-03-25 12:21:09 UTC
Created attachment 86971 [details] [review]
Bug 20954: (QA Follow-up) Rename syspref-overrides to syspref_overrides to maintain existing convention

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Marcel de Rooy 2019-08-09 06:26:17 UTC
Created attachment 92101 [details] [review]
Bug 20954: Add ability to set syspref overrides in SIP as we can in apache

We should be able to set system preference overrides for SIP in a
similar manner that we do in Apache. It would be great if we could
specify those overrides on both a config level, and login level basis.

Test Plan:
 1) Apply this patch
 2) Start your SIP server
 3) Enable the syspref AllFinesNeedOverride
 4) Find or create a patron with a small fine ( less than noissuescharge )
 5) Attempt to check out an item to the patron, it should fail
 6) Add the global syspref override from the bottom of the example SIP config file
 7) Restart your SIP server
 8) Attempt to check out an item to the patron again, this time it should work
 9) Now, add the login level syspref override section as it appears in
    the eaxmple SIP config file. Make sure to add it to the login you are using
10) Attempt to check out another item to the patron, this time is should
    again fail

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2019-08-09 06:26:22 UTC
Created attachment 92102 [details] [review]
Bug 20954: (QA follow-up) Rename syspref-overrides to syspref_overrides to maintain existing convention

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Martin Renvoize 2019-08-13 13:37:41 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-09-02 13:12:50 UTC
Enhancement not pushed to 19.05.x